Summary:	The Open Source Texas-Holdem Poker Engine
Summary(pl.UTF-8):	Silnik gry Texas-Holdem poker
Name:		pokerth
Version:	1.1.2
Release:	13
License:	AGPL v3+
Group:		X11/Applications/Games
#Source0Download: https://github.com/pokerth/pokerth/releases
#future releases: https://github.com/pokerth/pokerth/archive/%{version}/%{name}-%{version}.tar.gz
Source0:	http://downloads.sourceforge.net/pokerth/pokerth-%{version}.tar.gz
# Source0-md5:	8fd7d7fc7ece17315e58aa3240dd4586
Patch0:		x32.patch
Patch1:		system-qtsingleapp.patch
Patch2:		moc.patch
Patch3:		%{name}-protobuf.patch
Patch4:		%{name}-boost.patch
# from https://github.com/zaphoyd/websocketpp/pull/814/commits/c769c9238ad62178f506038178714a1c35aa2769.patch
Patch5:		%{name}-websocketpp-boost.patch
URL:		https://pokerth.net/
BuildRequires:	QtCore-devel >= 4.4.3
BuildRequires:	QtGui-devel >= 4.4.3
BuildRequires:	QtNetwork-devel >= 4.4.3
BuildRequires:	QtSingleApplication-devel
BuildRequires:	QtSql-devel >= 4.4.3
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	boost-devel >= 1.49
BuildRequires:	curl-devel >= 7.16
BuildRequires:	gnutls-devel
BuildRequires:	gsasl-devel >= 1.4
BuildRequires:	libircclient-devel >= 1.3
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	protobuf-devel >= 2.3.0
BuildRequires:	qt4-build >= 4.3.1
BuildRequires:	qt4-qmake >= 4.3.1
BuildRequires:	sed >= 4.0
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	tinyxml-devel
BuildRequires:	zlib-devel >= 1.2.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PokerTH is a poker game written in C++/Qt4. You can play the popular
"Texas Hold'em" poker variant against up to six computer-opponents or
play network games with people all over the world. This poker engine
is available for Linux, Windows, and MacOS X.

%description -l pl.UTF-8
PokerTH to komputerowa gra w pokera napisana w C++/Qt4. Umożliwia ona
grę w popularny wariant "Texas Hold'em" przeciwko maksymalnie sześciu
komputerowym przeciwnikom lub sieciową grę z innymi zawodnikami.
Silnik gry dostępny jest na platformy Linux, Windows oraz MacOS X.

%prep
%setup -q -n pokerth-%{version}-rc
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%{__rm} -r src/third_party/qtsingleapplication

%build
install -d build-client build-server
cd build-server
qmake-qt4 ../pokerth.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"
%{__make}

cd ../build-client
qmake-qt4 ../pokerth.pro \
	CONFIG+=client \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} -C build-client install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

install build-client/pokerth build-server/bin/pokerth_server $RPM_BUILD_ROOT%{_bindir}
cp -p docs/pokerth.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog TODO
%attr(755,root,root) %{_bindir}/pokerth
%attr(755,root,root) %{_bindir}/pokerth_server
%{_desktopdir}/pokerth.desktop
%{_pixmapsdir}/pokerth.png
%{_datadir}/pokerth
%{_mandir}/man1/pokerth.1*
%changelog
* Thu Jul 14 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pokerth.git;a=log;h=master

* Thu Jul 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 611c14c
- release 13 (gsasl soname change)

* Sat Jul 09 2022 Jakub Bogusz <qboosh@pld-linux.org> e0935f5
- updated URLs, release 12 (protobuf soname change)

* Sat Jun 04 2022 Jan Palus <atler@pld-linux.org> 2d58a6a
- boost rebuild

* Tue Jan 18 2022 Jan Palus <atler@pld-linux.org> 2acecc3
- boost rebuild

* Sun Aug 22 2021 Jan Rękorajski <baggins@pld-linux.org> e2a196f
- rediff patch
- rel 9, boost rebuild

* Thu Jan 21 2021 Jan Rękorajski <baggins@pld-linux.org> a47ea90
- release 8 (by relup.sh)

* Wed Sep 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 747ede2
- release 7 (protobuf 3.13)

* Fri Jul 31 2020 Jakub Bogusz <qboosh@pld-linux.org> 1af0814
- one more fix in boost patch; release 6 (boost 1.73)

* Mon Jun 01 2020 Jan Rękorajski <baggins@pld-linux.org> 0b8c514
- release 5 (by relup.sh)

* Wed Apr 08 2020 Jan Rękorajski <baggins@pld-linux.org> 8e4048d
- release 4 (by relup.sh)

* Thu Oct 10 2019 Jan Rękorajski <baggins@pld-linux.org> 7777d06
- rebuild with boost 1.71 and icu 65.1
- release 3 (by relup.sh)

* Fri Aug 02 2019 Jakub Bogusz <qboosh@pld-linux.org> 1f9d9ce
- release 2 (rebuild with protobuf 3.9)

* Mon May 06 2019 Jakub Bogusz <qboosh@pld-linux.org> b5517f5
- updated to 1.1.2
- updated x32 patch
- removed obsolete boost-1.60,ownerless,cxx11-build,cxx11-fixes patches
- added boost,websocketpp-boost patches (boost 1.70 compatibility for pokerth itself and bundled websocketpp code)
- now pokerth requires separate server and client build

* Sat Mar 16 2019 Jan Rękorajski <baggins@pld-linux.org> dd7a825
- release 6 (by relup.sh)

* Fri Oct 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 1fdf143
- release 5 (rebuild with protobuf 3.6)

* Tue Dec 12 2017 Jakub Bogusz <qboosh@pld-linux.org> d0841e2
- added protobuf patch (fixes regeneration with recent protoc, required by protobuf 3.5)
- release 4

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> da5123d
- rebuild with protobuf 3.2
- release 3 (by relup.sh)

* Thu Apr 13 2017 Jan Rękorajski <baggins@pld-linux.org> 072aff6
- add build fixes from fedora
- fix moc parsing
- rel 2

* Fri May 27 2016 Jan Rękorajski <baggins@pld-linux.org> bc1371f
- up to 1.1.1
- added upstream fix to build with boost 1.60+

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 2c528e2
- release 7 (by relup.sh)

